/************ FONTS ***************/
/** see http://www.font2web.com/ **/

@font-face {
    font-family: "Steelfish Outline";
    src: url("fonts/steelfishoutline.eot");
    src: url("fonts/steelfishoutline.eot?#iefix") format("embedded-opentype"),
    url("fonts/steelfishoutline.woff") format("woff"),
    url("fonts/steelfishoutline.ttf") format("truetype");
}

@font-face {
    font-family: "Reckoner";
    src: url("fonts/Reckoner.eot");
    src: url("fonts/Reckoner.eot?#iefix") format("embedded-opentype"),
    url("fonts/Reckoner.woff") format("woff"),
    url("fonts/Reckoner.ttf") format("truetype");
}

@font-face {
    font-family: "Reckoner_Bold";
    src: url("fonts/Reckoner_Bold.eot");
    src: url("fonts/Reckoner_Bold.eot?#iefix") format("embedded-opentype"),
    url("fonts/Reckoner_Bold.woff") format("woff"),
    url("fonts/Reckoner_Bold.ttf") format("truetype");
}

@font-face {
    font-family: "CaviarDreams";
    src: url("fonts/CaviarDreams.eot");
    src: url("fonts/CaviarDreams.eot?#iefix") format("embedded-opentype"),
    url("fonts/CaviarDreams.woff") format("woff"),
    url("fonts/CaviarDreams.ttf") format("truetype");
}

body {
    font-family: "CaviarDreams", "Futura", serif;
    font-size: 1vw;
    overflow: hidden;
}

section h1, section h2, section h3, section h4 {
    font-family: "Reckoner", "Futura", serif;
    text-transform: lowercase;
    margin: 5px;
    padding: 0;
}

section h1 {
    font-size: 10vw;
}

section h2 {
    font-size: 8vw;
}

.showreel h1, .gallery h1 {
    font-size: 8vw;
}

.contact {
    /*font-family: "Comic Sans";*/
    font-weight: bolder;
    font-size: 2.5vw;
    text-shadow: 2px 2px 2px #333;
}

.vita {
    /*font-family: "Comic Sans";*/
    font-weight: bolder;
    font-size: 1.1vw;
    text-shadow: 2px 2px 2px #333;
}

/************* COLORS ************/

body {
    background: black;
    color: white;
}

a, a:hover, a:visited, a:active {
    color: rgb(173, 153, 37);
}

.vita, .vita a, .vita a:hover, .vita a:visited, .vita a:active {
    color: rgb(173, 153, 37);
}

.showreel, .gallery {
    background: black;
    color: rgb(173, 153, 37);
}

.contact {
    color: rgb(173, 153, 37);
}

/** tabelle in vita **/

.vita .below_h1 {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-direction: row;
    -ms-flex-direction: row;
    flex-direction: row;
}

table {
    border-spacing: 0.5vw;
}

.vita h3 {
    font-size: 2vw;
}

/** tabelle in contact **/

.contact .below_h1 {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-direction: row;
    -ms-flex-direction: row;
    flex-direction: row;
}

table {
    border-spacing: 0.5vw;
}

.contact h3 {
    font-size: 2vw;
}

/******* FOOTER LINKS *******/

footer, footer a, footer a:hover, footer a:visited, footer a:active {
    color: rgb(173, 153, 37);
}

#link_impressum {
    position: absolute;
    right: 0;
    bottom: 0;
}

nav {
    -webkit-transition: -webkit-transform 0.4s ease;
    transition: transform 0.4s ease;
    -webkit-transform: translate(0, 90%);
    -ms-transform: translate(0, 90%);
    transform: translate(0, 90%);
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background: transparent url(navigation_icons/Back_Panel_Glass.png) no-repeat top center;
    background-size: 88vmin 20vmin;
    height: 12vmin;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: end;
    -webkit-align-items: flex-end;
    -ms-flex-align: end;
    align-items: flex-end;
}

nav:hover {
    -webkit-transform: translate(0, 0);
    -ms-transform: translate(0, 0);
    transform: translate(0, 0);
}

.navbutton {
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 16vmin;
    -ms-flex: 0 0 16vmin;
    flex: 0 0 16vmin;
    height: 10vmin;
    background: transparent no-repeat top left;
    background-size: 16vmin 8vmin;
}

.navbutton1 {
    background-image: url(navigation_icons/Button_Play.png);
}

.navbutton1:active, .navbutton1.active {
    background-image: url(navigation_icons/Button_Play_on.png);
}

.navbutton2 {
    background-image: url(navigation_icons/Button_Showreel.png);
}

.navbutton2:active, .navbutton2.active {
    background-image: url(navigation_icons/Button_Showreel_on.png);
}

.navbutton3 {
    background-image: url(navigation_icons/Button_Vita.png);
}

.navbutton3:active, .navbutton3.active {
    background-image: url(navigation_icons/Button_Vita_on.png);
}

.navbutton4 {
    background-image: url(navigation_icons/Button_Gallery.png);
}

.navbutton4:active, .navbutton4.active {
    background-image: url(navigation_icons/Button_Gallery_on.png);
}

.navbutton5 {
    background-image: url(navigation_icons/Button_Contact.png);
}

.navbutton5:active, .navbutton5.active {
    background-image: url(navigation_icons/Button_Contact_on.png);
}

/************ LAYOUT ***********/

html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
}

h1, h2, h3, h4 {
    font-family: "Reckoner", "Futura", serif;
    margin: 0;
    padding: 0;
}

body {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
}

header, footer {
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 0;
    -ms-flex: 0 0 0;
    flex: 0 0 0;
}

main {
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 0;
    -ms-flex: 0 0 0;
    flex: 0 0 0;
}

body.noscript > header, body.noscript > footer {
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 13%;
    -ms-flex: 0 0 13%;
    flex: 0 0 13%;
    overflow: auto;
}

body.noscript > main {
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 74%;
    -ms-flex: 0 0 74%;
    flex: 0 0 74%;
    overflow: auto;
}

/********** SECTION **********/

main > section {
    position: relative;
}

body.noscript section {
    height: 74vmin;
}

main > section > .background {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

main > section > img.background {
    height: 100%;
    width: 100%;
}

main > section > video.background {
    min-width: 100%;
    max-width: 100%;
}

main > section > div.content {
    position: absolute;
}

/********** ANIMATIONS **********/

main > section {
    /*transition: transform 2s cubic-bezier(.3,1.12,.59,-0.48), opacity 0.7s ease;*/
    /*transition: transform 0.7s ease, opacity 1.4s ease;*/
    -webkit-transition: -webkit-transform 0.7s ease;
    transition: transform 0.7s ease;
}

/********* FORWARD/NEXT BUTTONS *******/

.button_previous, .button_next {
    opacity: 1;
    position: absolute;
    cursor: pointer;
    height: 100px;
    top: 50%;
    margin-top: -50px;
}

.button_previous:hover, .button_next:hover {
    opacity: 1;
}

.button_next {
    right: 0;
}

.button_previous {
    left: 0;
}

/****** YOUTUBE EMBED *****/

.youtube_div {
    border-radius: 8px;
    padding: 5px 10px;
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    background: ghostwhite;
    color: black;
}

.youtube_div > iframe {
    background: black;
    display: block;
}

.youtube_div h3 {
    font-family: "CaviarDreams", "Futura", serif;
    font-size: 1vw;
    margin: 8px 0;
    padding: 0;
}

.youtube_div a {
    display: inline-block;
    font-size: 1vw;
    margin: 8px 0;
    text-shadow: 1px 1px 1px #333;
}

.youtube_div .description {
    margin-top: 1vw;
}

/*.youtube_div a:after {
    content: ' \1f517';
}*/

#dimmer {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: black;
    opacity: 0.6;
}

/****** GALLERY WITHOUT JS *****/

.gallery {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-direction: row;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-justify-content: space-around;
    -ms-flex-pack: distribute;
    justify-content: space-around;
}

.gallery_column {
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 30%;
    -ms-flex: 0 0 30%;
    flex: 0 0 30%;
}

#gallery_left_column {
    margin-left: 2%;
}

#gallery_right_column {
    margin-right: 2%;
}

#gallery_left_column, #gallery_middle_column {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-justify-content: space-around;
    -ms-flex-pack: distribute;
    justify-content: space-around;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
}

#gallery_top_left, #gallery_bottom_left, #gallery_top_right, #gallery_bottom_right {
    width: 100%;
}

/**** SHOWREEL WITHOUT JS ****/

body.noscript section.showreel > video.normalvideo {
    height: 74vmin;
}

body.noscript section.showreel > .content {
    top: 0;
    right: 2vh;
    width: 26vw;
}

/**** PG 13 ***/
#pg13 {
    /*visibility: hidden;*/
    display: none;
    position: absolute;
    z-index: 10;
}

/***** DEBUG ***/
.debug {
    position: absolute;
    top: 0;
    left: 0;
    background: black;
    color: white;
    font-size: 10vh;
    z-index: 10;
}
